<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        //трикутник 
        for (let i = 0; i < 10; ++i){
            for (let a = (10 - i); a > 0; a--)
            {document.write("&nbsp;")}
            for(let b = 0; b <= i; b++){
                document.write("* ");}
                document.write("<br>");
        }
        document.write('<hr>')
        //прямокутний трикутник
        for (let q = 0; q < 10; ++q){
            for(let w = 0; w <= q; w++){
                document.write("* ");}
                document.write("<br>");
        }
        document.write('<hr>')
        //прямокутник
        for(let i = 0; i < 10; i++) {
        for(let j = 0; j < 10; j++) {
        if(i === 0 || i === 9) {
        document.write('*')
        continue;
        }
        if((j === 0 || j === 9) && i < 4) {
        document.write('*')
        continue;
        }
        if(i < 4) {
        document.write('&nbsp&nbsp')      
        }
        }
        if(i < 4) {
        document.write('<br/>')    
        }
        }
        document.write('<hr>')
        //ромб 
        for(let row = 0; row < 12; row++) {
        for(let column = 0; column < 12; column++) {
        if(row === 0 && column === 4) {
        document.write('*')
        continue;
        }
        if(row === 1 && (
                    column === 3 || 
                    column === 4
                    )
        ) {
        document.write('*')
        continue;
        }
        if(row === 2 && (
                    column === 2 || 
                    column === 3 || 
                    column === 4 
                    )
        ) {
        document.write('*')
        continue;
        }
        if(row === 3 && (
                    column === 1 || 
                    column === 2 || 
                    column === 3 ||
                    column === 4
                    )
        ) {
        document.write('*')
        continue;
        }
        if(row === 4 && (
                    column === 0 || 
                    column === 1 || 
                    column === 2 ||
                    column === 3 ||
                    column === 4
                    )
        ) {
        document.write('*')
        continue;
         }
         if(row === 5 && (
                    column === 1 || 
                    column === 2 || 
                    column === 3 ||
                    column === 4
                    )
            ) {
            document.write('*')
            continue;
              }
             if(row === 6 && (
                    column === 2 || 
                    column === 3 || 
                    column === 4 
                    )
                  ) {
                  document.write('*')
                 continue;
                  }
                if(row === 7 && (
                    column === 3 || 
                    column === 4 
                    )
                  ) {
                 document.write('*')
                 continue;
                  }
                 if(row === 8 && (
                    column === 4
                    )
                ) {
                 document.write('*')
                 continue;
                  }
                  document.write('&nbsp')
                 }
                 document.write('<br/>')    
}
    </script>
</body>
</html>